{% extends 'base.html' %}

{% block title %}URL for {% if code %}"{{ code }}"{% endif %}{% endblock %}

{% block main %}


<div class="container text-center">
    <h1 class="jumbotron-heading">URL Created</h1>
    <input class="lead" id="new_url" readonly
           value="{{ url_for('urlshort.redirect_to_url', code=code, _external=True) }}">
    <p>
        <button class="btn btn-primary my-2" onclick="myFunction()">Copy URL</button>
    </p>
</div>


<script>
    function myFunction() {
        var copyText = document.getElementById("new_url");
        copyText.select();
        document.execCommand("copy");
    }
</script>

{% endblock %}